

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>News - 2.x &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../ja/html/news/2.x.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 2.x</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="news-2-x">
<h1>News - 2.x<a class="headerlink" href="#news-2-x" title="Permalink to this headline">¶</a></h1>
<div class="section" id="release-2-1-2-2013-01-29">
<span id="release-2-1-2"></span><h2>Release 2.1.2 - 2013-01-29<a class="headerlink" href="#release-2-1-2-2013-01-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="improvements">
<h3>Improvements<a class="headerlink" href="#improvements" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported multiple <code class="docutils literal notranslate"><span class="pre">query()</span></code> in a select command.
For example, you can specify the keyword which has different weight such as
‘query(“column * weight1”, keyword1) || query(“column * weight2”, keyword2) || …’
for <code class="docutils literal notranslate"><span class="pre">--filter</span></code>.</p></li>
<li><p>Dropped experimental view feature.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">grn_logger_reopen</span></code> API for custom logger.
Note that <code class="docutils literal notranslate"><span class="pre">grn_logger_info</span></code> API is deprecated, use <code class="docutils literal notranslate"><span class="pre">grn_logger</span></code> API instead.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">grn_default_logger_set_path()</span></code> and <code class="docutils literal notranslate"><span class="pre">grn_default_logger_get_path()</span></code> API.
Note that global <code class="docutils literal notranslate"><span class="pre">grn_log_path</span></code> variable was removed. Use above API.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">grn_default_query_logger_set_path()</span></code> and
<code class="docutils literal notranslate"><span class="pre">grn_default_query_logger_get_path()</span></code> API.
Note that global <code class="docutils literal notranslate"><span class="pre">grn_qlog_path</span></code> variable was removed. Use above API.</p></li>
<li><p>Added translated documentation about <a class="reference internal" href="../reference/tables.html"><span class="doc">Tables</span></a> and <a class="reference internal" href="../reference/normalizers.html"><span class="doc">Normalizers</span></a>.</p></li>
<li><p>[deb][rpm] Improved to install with missing dictionary when
<code class="docutils literal notranslate"><span class="pre">groonga-tokenizer-mecab</span></code> package is installed.</p></li>
<li><p>Supported <a class="reference internal" href="../tutorial/match_columns.html#nested-index-search"><span class="std std-ref">Nested index search among related table by column index</span></a> with range search.
For example, you can specify ‘column1.column2…columnN &lt;= “1988-01-04 00:00:00”’
in <code class="docutils literal notranslate"><span class="pre">--filter</span></code>.</p></li>
<li><p>[rpm][fedora] Supported Fedora 18.</p></li>
<li><p>[rpm][fedora] Dropped Fedora 17 support.</p></li>
<li><p>[doc] Added documentation for <a class="reference internal" href="../server/package.html"><span class="doc">Server packages</span></a>.</p></li>
<li><p>[doc] Added documentation for <a class="reference internal" href="../reference/functions/query.html"><span class="doc">query</span></a>.</p></li>
</ul>
</div>
<div class="section" id="fixes">
<h3>Fixes<a class="headerlink" href="#fixes" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed not to report an error even though MeCab tokenizer shared object
isn’t found. [groonga-dev,01174] [Reported by wing]</p></li>
<li><p>[httpd] Fixed not to fail configure on CentOS 5.4 by setting
<code class="docutils literal notranslate"><span class="pre">SED</span></code> variable explicitly.</p></li>
<li><p>Fixed a crash bug that not initialized vector column value is accessed
by select command.</p></li>
</ul>
</div>
<div class="section" id="thanks">
<h3>Thanks<a class="headerlink" href="#thanks" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>wing</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-1-1-2012-12-29">
<span id="release-2-1-1"></span><h2>Release 2.1.1 - 2012-12-29<a class="headerlink" href="#release-2-1-1-2012-12-29" title="Permalink to this headline">¶</a></h2>
<p>This is bug fix release of 2.1.0. All of 2.1.0 users should use 2.1.1
instead.</p>
<div class="section" id="id1">
<h3>Fixes<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a bug that <code class="docutils literal notranslate"><span class="pre">KEY_NORMALIZE</span></code> information in database that is
created by groonga 2.0.8 or ealier is dropped.</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-1-0-2012-12-29">
<span id="release-2-1-0"></span><h2>Release 2.1.0 - 2012-12-29<a class="headerlink" href="#release-2-1-0-2012-12-29" title="Permalink to this headline">¶</a></h2>
<div class="admonition caution">
<p class="admonition-title">Caution</p>
<p>Use 2.1.1 instead of 2.1.0. 2.1.0 has a serious bug related
<code class="docutils literal notranslate"><span class="pre">KEY_NORMALIZE</span></code>.</p>
</div>
<div class="admonition caution">
<p class="admonition-title">Caution</p>
<p>This release has backward incompatible changes against <code class="docutils literal notranslate"><span class="pre">table_list</span></code> and
<code class="docutils literal notranslate"><span class="pre">column_list</span></code> commands. If you use own program which depends on the output
results above commands, you need to support null instead of “null” string.</p>
<p>This release has supported <code class="docutils literal notranslate"><span class="pre">--normalizer</span></code> option, but there is
side effect for this feature. If you open old version of groonga
database at least once, you can not open its database by old
version of groonga.</p>
<p>There is also another backward incompatible change agaist plugin API for
tokenizer. The argument of <code class="docutils literal notranslate"><span class="pre">grn_tokenizer_query_open</span></code> API has changed.
This API change affects developer of tokenizer plugin.</p>
</div>
<div class="section" id="id2">
<h3>Improvements<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[doc] Added documentation about <a class="reference internal" href="../tutorial/match_columns.html#nested-index-search"><span class="std std-ref">Nested index search among related table by column index</span></a>.</p></li>
<li><p>Supported the expression as <a class="reference internal" href="../reference/functions/snippet_html.html"><span class="doc">snippet_html</span></a> arguments.
This change enables you to use <code class="docutils literal notranslate"><span class="pre">snippet_html(&quot;STRING&quot;</span> <span class="pre">+</span> <span class="pre">&quot;STRING&quot;)</span></code> for example.
You can specify column name or literal for “STRING”. [Reported by Tomoatsu Shimada]</p></li>
<li><p>Supported to create own normalizer as a plugin.</p></li>
<li><p>Moved <code class="docutils literal notranslate"><span class="pre">groonga-query-log-analyzer</span></code> as
<a class="reference external" href="http://rubygems.org/gems/groonga-query-log">groonga-query-log</a> RubyGems.
It enables you to analyze query logs without installing groonga package.</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">--normalizer</span></code> option for <a class="reference internal" href="../reference/commands/table_create.html"><span class="doc">table_create</span></a> command.
This change enables you to specify normalizer plugin.</p></li>
<li><p>Changed “null” string to null value as meaning for “No Object”.
This is backward incompatible change and affects output results of introspection
related commands such as <code class="docutils literal notranslate"><span class="pre">table_list</span></code> and <code class="docutils literal notranslate"><span class="pre">column_list</span></code>.</p></li>
<li><p>Added a flag which controls behavior about normalizer as the last argument
of <code class="docutils literal notranslate"><span class="pre">grn_tokenizer_query_open</span></code> API.</p></li>
<li><p>Supported continuous line in <a class="reference internal" href="../reference/executables/groonga.html#command-list-with-continuous-line"><span class="std std-ref">Command</span></a> list.</p></li>
<li><p>Improved to support not only no key table, but also hash table, patricia trie
and double array trie for <a class="reference internal" href="../tutorial/match_columns.html#nested-index-search"><span class="std std-ref">Nested index search among related table by column index</span></a>.</p></li>
</ul>
</div>
<div class="section" id="id3">
<h3>Fixes<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[windows] Added missing <code class="docutils literal notranslate"><span class="pre">O_BINARY</span></code> flag to open file correctly.
This change fixes the infinite loop problem about groonga HTTP server.
[GitHub#47] [Patch by Shimomura Tatsuya]</p></li>
<li><p>Fixed a bug that <code class="docutils literal notranslate"><span class="pre">--default-match-escalation-threshold</span></code> doesn’t
accept negative value to disable functionality that is used on
<a class="reference internal" href="../spec/search.html"><span class="doc">検索</span></a>.  This fix enable you to disable search
escalation.  see <a class="reference internal" href="../reference/executables/groonga.html#cmdoption-groonga-default-match-escalation-threshold"><code class="xref std std-option docutils literal notranslate"><span class="pre">groonga</span>
<span class="pre">--default-match-escalation-threshold</span></code></a> about details.</p></li>
<li><p>Fixed a bug that <code class="docutils literal notranslate"><span class="pre">_score</span></code> after “*” is ignored in <code class="docutils literal notranslate"><span class="pre">--output_columns</span></code>.</p></li>
</ul>
</div>
<div class="section" id="id4">
<h3>Thanks<a class="headerlink" href="#id4" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Tomoatsu Shimada</p></li>
<li><p>Shimomura Tatsuya</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-9-2012-11-29">
<span id="release-2-0-9"></span><h2>Release 2.0.9 - 2012-11-29<a class="headerlink" href="#release-2-0-9-2012-11-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id5">
<h3>Improvements<a class="headerlink" href="#id5" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported to calculate the value of distance accross border
in <code class="docutils literal notranslate"><span class="pre">geo_distance</span></code> with <code class="docutils literal notranslate"><span class="pre">rectangle</span></code> as approximate type. [#1534]</p></li>
<li><p>[doc] Added the <a class="reference internal" href="../spec/gqtp.html"><span class="doc">GQTP</span></a> specification.</p></li>
<li><p>Improved to ignore non critical <code class="docutils literal notranslate"><span class="pre">getaddrinfo()</span></code> error which groonga command emits on startup.
This change does not affects nomal use of groonga because it just checked whether default hostname
is resolved in previous version.</p></li>
<li><p>[experimental] Added <code class="docutils literal notranslate"><span class="pre">snippet_html()</span></code> function which extract keyword and surrounding text.
See <a class="reference internal" href="../reference/functions/snippet_html.html"><span class="doc">snippet_html</span></a> about details.</p></li>
<li><p>Supported to report error reason when error occured during reading table record.</p></li>
<li><p>Supported to search with keyword by nested index notation ( concatinate multiple
indexed column name with dot character ) if there is a relationship between
multiple table with index.</p></li>
<li><p>Supported to log “[tokenizer][mecab]” tag when using <code class="docutils literal notranslate"><span class="pre">TokenMecab</span></code> tokenizer.</p></li>
<li><p>Supported to log “[tokenizer][kytea]” tag when using <code class="docutils literal notranslate"><span class="pre">TokenKyTea</span></code> tokenizer.</p></li>
<li><p>Improved to use separated array for command error location as output results.
This change is incompatibility change, but does not affects existing program.</p></li>
<li><p>Added documentation for <a class="reference internal" href="../reference/command/output_format.html"><span class="doc">Output format</span></a>.</p></li>
<li><p>Added documentation for <a class="reference internal" href="../reference/command/return_code.html"><span class="doc">Return code</span></a> of output results.</p></li>
<li><p>Supported range search by using index.</p></li>
</ul>
</div>
<div class="section" id="id6">
<h3>Fixes<a class="headerlink" href="#id6" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed to use network byte order for status code of <a class="reference internal" href="../spec/gqtp.html#gqtp-header-spec"><span class="std std-ref">GQTP header</span></a> to follow
the normal network protocol convention.
This change affects that groonga &lt;= 2.0.8 client which connects to groonga server 2.0.9
or later can not show status code properly when command failed.</p></li>
<li><p>Fixed a bug that UTF-8 normalization computes wrong offset which affects to return value
of <code class="docutils literal notranslate"><span class="pre">snippet_html()</span></code>. This change not to insert tag of snippet into invalid location.
[#1531] [Reported by Tomoatsu Shimada]</p></li>
<li><p>[windows] Fixed over allocated memory access which cause segmentation fault
on startup by groonga command. [#1532] [Patch by Akio Tajima]</p></li>
<li><p>[windows] Fixed a bug that data stored in column couldn’t be read when total amount of data
stored in column exceeds 128MB. [groonga-dev,01088] [Reported by ongaeshi]</p></li>
<li><p>Fixed a bug that searching with indexed column for <code class="docutils literal notranslate"><span class="pre">Int*</span></code> and <code class="docutils literal notranslate"><span class="pre">UInt*</span></code>
except <code class="docutils literal notranslate"><span class="pre">Int32/Uint32</span></code> returns invalid results.</p></li>
<li><p>Fixed a bug that deleting record can be found.</p></li>
<li><p>Fixed a bug that latin1 and koi8r normalizations could not process all string data
if given string contains NULL character on the way.</p></li>
<li><p>Fixed to return the correct default value of type when no data stored in column is
referenced by <code class="docutils literal notranslate"><span class="pre">select</span></code> command.</p></li>
<li><p>Fixed to exclude the value of vector column metadata in <a class="reference internal" href="../reference/indexing.html#offline-index-construction"><span class="std std-ref">Offline index construction</span></a>.
This change not to contain such a metadata as search results.</p></li>
</ul>
</div>
<div class="section" id="id7">
<h3>Thanks<a class="headerlink" href="#id7" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Tomoatsu Shimada</p></li>
<li><p>Akio Tajima</p></li>
<li><p>ongaeshi</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-8-2012-10-29">
<span id="release-2-0-8"></span><h2>Release 2.0.8 - 2012-10-29<a class="headerlink" href="#release-2-0-8-2012-10-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id8">
<h3>Improvements<a class="headerlink" href="#id8" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[rpm] Improved the description of server-http and httpd packages.
[Suggested by Daiki Ueno]</p></li>
<li><p>Supported custom query expansion by plugin.</p></li>
<li><p>[experimental] Added query expander <code class="docutils literal notranslate"><span class="pre">QueryExpanderTSV</span></code> plugin.</p></li>
<li><p>Supported Ubuntu 12.10 Quantal Quetzal</p></li>
<li><p>[experimental] Supported function call in <code class="docutils literal notranslate"><span class="pre">output_columns</span></code>.</p></li>
<li><p>[doc][rpm] Add missing description about installing MeCab dictionary.
[Reported by serihiro]</p></li>
</ul>
</div>
<div class="section" id="id9">
<h3>Fixes<a class="headerlink" href="#id9" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[rpm] Fixed to remove needless “Requires” from spec file.
[Reported by Daiki Ueno]</p></li>
<li><p>[rpm] Fixed inaccurate description about license of groonga-server-gqtp.</p></li>
<li><p>[admin] Fixed record edit button shows wrong record. [GitHub#34]
[Reported by firewood]</p></li>
<li><p>[deb] Fixed to remove needless dependency to pcre.</p></li>
<li><p>[deb] Fixed to bundle missing table plugin.</p></li>
</ul>
</div>
<div class="section" id="id10">
<h3>Thanks<a class="headerlink" href="#id10" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Daiki Ueno</p></li>
<li><p>firewood</p></li>
<li><p>serihiro</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-7-2012-09-29">
<span id="release-2-0-7"></span><h2>Release 2.0.7 - 2012-09-29<a class="headerlink" href="#release-2-0-7-2012-09-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id11">
<h3>Improvements<a class="headerlink" href="#id11" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[doc] Added more descriptions about <code class="docutils literal notranslate"><span class="pre">--query_flags</span></code>.</p></li>
<li><p>[doc][httpd] Added sample configuration for gzip compression.</p></li>
<li><p>[httpd][rpm][centos] Added groonga-httpd init script.</p></li>
<li><p>[rpm] Added logrotate config files.</p></li>
<li><p>Supported creating database during install process.</p></li>
<li><p>[httpd] Supported <code class="docutils literal notranslate"><span class="pre">groonga_database_auto_create</span></code> directive.</p></li>
<li><p>Supported score respected merge by set operation. [GitHub#31]</p></li>
<li><p>[httpd] Supported <code class="docutils literal notranslate"><span class="pre">load</span></code> command by POST.</p></li>
<li><p>Added error check for creating temporary result set. [GitHub#33]</p></li>
<li><p>Added GQTP server package.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">max()</span></code> function.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">min()</span></code> function.</p></li>
</ul>
</div>
<div class="section" id="id12">
<h3>Fixes<a class="headerlink" href="#id12" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed to set domain to vector elements to <code class="docutils literal notranslate"><span class="pre">load</span></code> command. [GitHub#30]</p></li>
<li><p>[httpd] Fixed missing NULL initialization. [Reported by &#64;Kiske]</p></li>
<li><p>[httpd] Fixed missing size about <code class="docutils literal notranslate"><span class="pre">content_type_len</span></code>.</p></li>
<li><p>[rpm][fedora] Fixed to use <code class="docutils literal notranslate"><span class="pre">--bind-address</span></code> in <code class="docutils literal notranslate"><span class="pre">groonga.service</span></code>.</p></li>
<li><p>Fixed crash by invalid argument filter. [GitHub#32]</p></li>
<li><p>Fixed a bug that Time -&gt; Time cast breaks value.</p></li>
<li><p>Fixed a bug that Time -&gt; Float cast breaks value.</p></li>
</ul>
</div>
<div class="section" id="id13">
<h3>Thanks<a class="headerlink" href="#id13" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>&#64;Kiske</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-6-2012-08-29">
<span id="release-2-0-6"></span><h2>Release 2.0.6 - 2012-08-29<a class="headerlink" href="#release-2-0-6-2012-08-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id14">
<h3>Improvements<a class="headerlink" href="#id14" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[deb][rpm] Added <code class="docutils literal notranslate"><span class="pre">groonga-server-common</span></code> meta package. [#1451]</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">--query_flags</span></code> option to <code class="docutils literal notranslate"><span class="pre">select</span></code> command.</p></li>
<li><p>Supported PCRE auto detection for groonga-httpd.</p></li>
<li><p>[doc] Added information about Twitter and Facebook.</p></li>
<li><p>Improved to show error message from MeCab on <code class="docutils literal notranslate"><span class="pre">mecab_new2()</span></code> failure.</p></li>
<li><p>[doc] Added details about groonga for server use.</p></li>
<li><p>Improved to log details about <code class="docutils literal notranslate"><span class="pre">vm.overcommit_memory</span></code>.</p></li>
<li><p>Supported custom selector definition.</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">--working-directory</span></code> option for groonga.</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">dump</span></code> command for groonga-httpd.</p></li>
<li><p>Improved to show not found target name for <code class="docutils literal notranslate"><span class="pre">clearlock</span></code> command.</p></li>
<li><p>Improved error messages about <code class="docutils literal notranslate"><span class="pre">get</span></code> command implemented by table plugin.</p></li>
<li><p>[rpm][centos] Supported MeCab 0.994. [#1455]
[Suggested by IWAI, Masaharu]</p></li>
<li><p>Supported changing default logger’s max level before <code class="docutils literal notranslate"><span class="pre">grn_init()</span></code>.</p></li>
<li><p>Added <code class="docutils literal notranslate"><span class="pre">all_records()</span></code> function which copies all record IDs to the result table.</p></li>
<li><p>Supported ‘-WORD’ in <code class="docutils literal notranslate"><span class="pre">--query</span></code> of the select command.</p></li>
</ul>
</div>
<div class="section" id="id15">
<h3>Fixes<a class="headerlink" href="#id15" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[doc] Fixed the execution examples. [#1428]
[Reported by IWAI, Masaharu]</p></li>
<li><p>[deb] Fixed not to force groonga user/group by init script for groonga-httpd.</p></li>
<li><p>[rpm][fedora] Fixed missing stop parameter for groonga-httpd service.</p></li>
<li><p>Fixed a bug that the last 1 byte for cache key is ignored by <code class="docutils literal notranslate"><span class="pre">select</span></code> command.</p></li>
<li><p>Fixed detection of the number of arguments in the complex function call.</p></li>
<li><p>Fixed to suppress a warning by Clang.</p></li>
<li><p>Fixed backward incompatibility about missing <code class="docutils literal notranslate"><span class="pre">add</span></code> command related error
by executing <code class="docutils literal notranslate"><span class="pre">clearlock</span></code> command.</p></li>
<li><p>[windows] Fixed database open failure which is related to binary data.
[Reported by &#64;yito]</p></li>
</ul>
</div>
<div class="section" id="id16">
<h3>Thanks<a class="headerlink" href="#id16" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>IWAI, Masaharu</p></li>
<li><p>&#64;yito</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-5-2012-07-29">
<span id="release-2-0-5"></span><h2>Release 2.0.5 - 2012-07-29<a class="headerlink" href="#release-2-0-5-2012-07-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id17">
<h3>Improvements<a class="headerlink" href="#id17" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported calculating the value of distance with “rect” or “rectangle”
argument in southern hemisphere. [#1418] [#1419] [#1420] [#1421]</p></li>
<li><p>[doc] Added some literals description in script syntax.</p></li>
<li><p>Supported other directory build for groonga-suggest and groonga-httpd.</p></li>
<li><p>Supported “;” as a query parameter separator. [#1406]
[Suggested by IWAI, Masaharu]</p></li>
<li><p>[doc] Added descriptions about script syntax.</p></li>
<li><p>Supported near search by <code class="docutils literal notranslate"><span class="pre">'column</span> <span class="pre">*N</span> <span class="pre">&quot;word1</span> <span class="pre">word2</span> <span class="pre">...&quot;'</span></code> in script syntax.
[#1423]</p></li>
<li><p>[doc] Added a description about limitation of suffix search.</p></li>
<li><p>Supported near search for <code class="docutils literal notranslate"><span class="pre">_key</span></code> pseudo column. [GitHub#19]</p></li>
<li><p>[doc] Added basic ECMAScript related syntaxes.</p></li>
<li><p>[doc] Updated a description about <a class="reference internal" href="../reference/functions/geo_distance.html"><span class="doc">geo_distance</span></a>.</p></li>
<li><p>[rpm][fedora] Supported Fedora 17.</p></li>
<li><p>[rpm][fedora] Dropped Fedora 16 support.</p></li>
<li><p>Supported logical not <code class="docutils literal notranslate"><span class="pre">&quot;!&quot;</span></code> operator. [GitHub#22]</p></li>
<li><p>[httpd] Supported per location groonga database.</p></li>
<li><p>Improved to return error messages while load command is processing.</p></li>
<li><p>Improved to exit load command when an uncontinuable error occurred.</p></li>
<li><p>Improved to stop load command for invalid –columns value.</p></li>
<li><p>Supported to open locked database. [GitHub#21]</p></li>
</ul>
</div>
<div class="section" id="id18">
<h3>Fixes<a class="headerlink" href="#id18" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a build problem about groonga-httpd on Mac OS X.
[Reported by SHIMADA Koji]</p></li>
<li><p>Fixed not to use installed groonga’s header files for groonga-httpd.</p></li>
<li><p>Fixed a build problem about groonga on Mac OS X Lion.</p></li>
<li><p>[doc] Fixed a description of <a class="reference internal" href="../reference/commands/table_remove.html"><span class="doc">table_remove</span></a> command.</p></li>
<li><p>Fixed infinite loop problem for not implemented operator without index.
[GitHub#20]</p></li>
<li><p>Fixed a wrong error code which causes memory leaks.</p></li>
<li><p>Fixed a wrong error code which collapse ja columns.</p></li>
<li><p>[admin] Fixed to escape error message.</p></li>
<li><p>Fixed to ignore unloadable objects which causes database incompatible.
[#1429] [Reported by IWAI, Masaharu]</p></li>
</ul>
</div>
<div class="section" id="id19">
<h3>Thanks<a class="headerlink" href="#id19" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>SHIMADA Koji</p></li>
<li><p>IWAI, Masaharu</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-4-2012-06-29">
<span id="release-2-0-4"></span><h2>Release 2.0.4 - 2012-06-29<a class="headerlink" href="#release-2-0-4-2012-06-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id20">
<h3>Improvements<a class="headerlink" href="#id20" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported only KyTea 0.4.2.</p></li>
<li><p>Dropped KyTea 0.4.1 or ealier support.</p></li>
<li><p>[experimental] Supported nginx based groonga HTTP interface.</p></li>
<li><p>Supported calculating the value of distance with “rect” or “rectangle”
argument in northern hemisphere. [#1386] [#1387] [#1388] [#1389]</p></li>
<li><p>[doc] Added a document about <a class="reference internal" href="../development/travis-ci.html"><span class="doc">Travis CI</span></a> integration.</p></li>
<li><p>[doc] Added descriptions about full text search and phrase search.
See <a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-full-text-search-condition"><span class="std std-ref">Full text search condition</span></a> and
<a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-phrase-search-condition"><span class="std std-ref">Phrase search condition</span></a> about detail.</p></li>
<li><p>[doc] Added descriptions about comparison conditions.  See
<a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-conditional-expression"><span class="std std-ref">Conditional expression</span></a> about detail.</p></li>
<li><p>[doc] Added examples for <a class="reference internal" href="../reference/grn_expr/query_syntax.html"><span class="doc">Query syntax</span></a>.</p></li>
<li><p>[doc] Added descriptions about
<a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-combined-expression"><span class="std std-ref">Combined expression</span></a>.</p></li>
<li><p>[doc] Added descriptions about
<a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-prefix-search-condition"><span class="std std-ref">Prefix search condition</span></a> and
<a class="reference internal" href="../reference/grn_expr/query_syntax.html#query-syntax-suffix-search-condition"><span class="std std-ref">Suffix search condition</span></a>.</p></li>
<li><p>Supported suffix search by index.</p></li>
<li><p>[doc] Added a document about <a class="reference internal" href="../reference/grn_expr.html"><span class="doc">grn_expr</span></a>.</p></li>
<li><p>[munin] Supported JSON library installed by RubyGems [GitHub#17]
[Patch by IWAI, Masaharu]</p></li>
<li><p>[doc] Updated the description of how to specify a value as Time in tutorial.
[#1405] [Reported by IWAI, Masaharu]</p></li>
<li><p>[rpm] Removed groonga-tokenizer-mecab dependency from groonga package.
[GitHub#18] [Patch by IWAI, Masaharu]</p></li>
</ul>
</div>
<div class="section" id="id21">
<h3>Fixes<a class="headerlink" href="#id21" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a problem that display of command prompt changes to not intended state
by using batch mode on Mac OS X.
[Reported by &#64;soundkitchen]</p></li>
<li><p>Fixed not to terminate after an invalid command in client mode. [#1305]</p></li>
<li><p>Fixed a problem that ‘=R’ is treated as ‘OR’ in <code class="docutils literal notranslate"><span class="pre">--query</span></code> syntax. [#1393]</p></li>
</ul>
</div>
<div class="section" id="id22">
<h3>Thanks<a class="headerlink" href="#id22" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>&#64;soundkitchen</p></li>
<li><p>IWAI, Masaharu</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-3-2012-05-29">
<span id="release-2-0-3"></span><h2>Release 2.0.3 - 2012-05-29<a class="headerlink" href="#release-2-0-3-2012-05-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id23">
<h3>Improvements<a class="headerlink" href="#id23" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[doc] Added about release procedure.</p></li>
<li><p>Removed restriction that the max number of opened files is 4096.</p></li>
<li><p>[experimental] Added table plugin.</p></li>
<li><p>[doc] Added more descriptions about <a class="reference internal" href="../reference/commands/select.html"><span class="doc">select</span></a> command.</p></li>
<li><p>[doc] Made execution example copy &amp; paste friendly.</p></li>
<li><p>[windows] Supported build with Visual Studio 2010 Express and
CMake. See <a class="reference internal" href="../install/windows.html"><span class="doc">Windows</span></a> about details.</p></li>
<li><p>[doc][solaris] Added a document about building on Solaris.
See <a class="reference internal" href="../install/solaris.html"><span class="doc">Oracle Solaris</span></a> about details.</p></li>
<li><p>[doc][yum] Updated epel-release package version.
[Reported by IWAI, Masaharu]</p></li>
<li><p>[doc][cenos6] Disabled Repoforge for Munin for CentOS 6.
[Reported by IWAI, Masaharu]</p></li>
<li><p>Started distributing source archive in zip format.</p></li>
<li><p>[munin] groonga_dist Munin plugin supported an object that has
separated files.</p></li>
<li><p>Started using Travis CI.</p></li>
<li><p>[yum] Changed RPM package name that provides yum repository from
groonga-repository to groonga-release to follow RPM package name
convension such as centos-release and fedora-release.</p></li>
</ul>
</div>
<div class="section" id="id24">
<h3>Fixes<a class="headerlink" href="#id24" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[doc] Fixed a command to update yum repository.
[Suggested by IWAI, Masaharu]</p></li>
<li><p>[deb] Fixed a bug that log_repoen command in logrotate uses wrong protocol.</p></li>
<li><p>Fixed broken ERROR tag in XML response.
[#1363] [GitHub#13] [Patch by IWAI, Masaharu]</p></li>
<li><p>Fixed a bug that grn_ctx isn’t fully cleared by grn_ctx_fin().</p></li>
<li><p>Fixed a bug that <code class="docutils literal notranslate"><span class="pre">&amp;!</span></code> set operation doesn’t work with grouped
expression. [#1372]</p></li>
<li><p>Fixed a bug that a record key registered via index source isn’t normalized.</p></li>
</ul>
</div>
<div class="section" id="id25">
<h3>Thanks<a class="headerlink" href="#id25" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>IWAI, Masaharu</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-2-2012-04-29">
<span id="release-2-0-2"></span><h2>Release 2.0.2 - 2012-04-29<a class="headerlink" href="#release-2-0-2-2012-04-29" title="Permalink to this headline">¶</a></h2>
<div class="admonition caution">
<p class="admonition-title">Caution</p>
<p>The package sign key is changed since this release. Import the new
package sign key before updating groonga packages.</p>
<p>Debian/Ubuntu:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get update
% sudo apt-get -y --allow-unauthenticated install groonga-keyring
</pre></div>
</div>
<p>CentOS/Fedora:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum makecache
% sudo yum install --nogpgcheck -y groonga-repository
</pre></div>
</div>
</div>
<div class="section" id="id26">
<h3>Improvements<a class="headerlink" href="#id26" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[pkg-config] Removed needless MessagePack dependency.</p></li>
<li><p>[rpm][fedora] Supported libedit. [#1325] [Suggested by IWAI, Masaharu]</p></li>
<li><p>[rpm] Supported zlib and LZO. [#1324] [Patch by IWAI, Masaharu]</p></li>
<li><p>[groonga] Improved daemoinzed timing. Groonga server daemonizes
after socket is listened. It means that groonga server is ready when
groonga server is daemonized. [#1326]</p></li>
<li><p>[admin] Supported suggest in groonga administration page.</p></li>
<li><p>[dump] Ignored MeCab tokenizer load error.</p></li>
<li><p>Supported CMake.</p></li>
<li><p>[load] Supported error report when a column value can’t be set.</p></li>
<li><p>Supported similar search. <code class="docutils literal notranslate"><span class="pre">select</span> <span class="pre">--filter</span> <span class="pre">&quot;column</span> <span class="pre">*S</span> <span class="pre">'TEXT'&quot;</span></code>
is the similar search syntax. [#1342]</p></li>
<li><p>[apt][yum] Changed package sign key.</p></li>
<li><p>Supported Ubuntu Precise Pangolin.</p></li>
<li><p>[apt] Added a new groonga-keyring deb package for the groonga’s
package sign key.</p></li>
</ul>
</div>
<div class="section" id="id27">
<h3>Fixes<a class="headerlink" href="#id27" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[deb][rpm] Used <code class="docutils literal notranslate"><span class="pre">--bind-address</span></code> option instead of deprecated
<code class="docutils literal notranslate"><span class="pre">--address</span></code> option.
[#1320] [Patch by IWAI, Masaharu]</p></li>
<li><p>[deb] Renamed groonga-server package’s configuration file to
/etc/default/groonga-server from /etc/default/groonga.</p></li>
<li><p>[rpm][fedora] Fixed upgrade condition in %post server.
[GitHub#11] [Patch by Daiki Ueno]</p></li>
<li><p>[rpm] Removed needless change logs. [#1328] [Patch by IWAI, Masaharu]</p></li>
<li><p>[deb][rpm] Added missing curl dependency.
[GitHub#12] [Patch by IWAI, Masaharu]</p></li>
<li><p>[rpm] Removed needleess ruby package dependency from groonga package.
[#1330] [Suggested by IWAI, Masaharu]</p></li>
<li><p>[deb] Added missing default values to groonga-server’s
configuration file.</p></li>
<li><p>Fixed a crash bug that is caused when searching with updaging very large
inverted index. [#1329]</p></li>
<li><p>Fixed a bug that strings are compared as characters instead of byte string.
[#1340] [Reported by Shinya Kawaji]</p></li>
</ul>
</div>
<div class="section" id="id28">
<h3>Thanks<a class="headerlink" href="#id28" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>IWAI, Masaharu</p></li>
<li><p>Daiki Ueno</p></li>
<li><p>Shinya Kawaji</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-1-2012-03-29">
<span id="release-2-0-1"></span><h2>Release 2.0.1 - 2012-03-29<a class="headerlink" href="#release-2-0-1-2012-03-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id29">
<h3>Improvements<a class="headerlink" href="#id29" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Supported build in other directory.
[#1298] [Reported by Kazuhiko]</p></li>
<li><p>[solaris] Supported build on Solaris 11. [Reported by Kazuhiko]</p></li>
<li><p>[test] Supported functional test.</p></li>
<li><p>[test] Required <code class="docutils literal notranslate"><span class="pre">--with-ruby19</span></code> configure option for testing by Ruby.</p></li>
<li><p>[dump] Supported records dump for a table that has default tokenizer.</p></li>
<li><p>[suggest] Added <code class="docutils literal notranslate"><span class="pre">similar_search</span></code> option.</p></li>
<li><p>[groonga] Removed deprecated options, <code class="docutils literal notranslate"><span class="pre">-a</span></code>, <code class="docutils literal notranslate"><span class="pre">--address</span></code> and
<code class="docutils literal notranslate"><span class="pre">--admin-html-path</span></code>.</p></li>
<li><p>Added more return value checks. [GitHub#9] [Reported by Markus Elfring]</p></li>
<li><p>[dat] Supported term extract operation.</p></li>
<li><p>Added <a class="reference external" href="http://groonga.org/logo/">logos</a> .</p></li>
<li><p>Updated HTML design.</p></li>
<li><p>Renamed <code class="docutils literal notranslate"><span class="pre">grntest</span></code> to <code class="docutils literal notranslate"><span class="pre">groonga-benchmark</span></code>.</p></li>
<li><p>Supported <code class="docutils literal notranslate"><span class="pre">autogen.sh</span></code> on CentOS 5.</p></li>
<li><p>[linux] Added <code class="docutils literal notranslate"><span class="pre">vm.overcommit_memory</span></code> kernel parameter value
check. [#1289]</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">grn_snip</span></code> uses <code class="docutils literal notranslate"><span class="pre">grn_obj</span></code> mechanism. [#1054]</p></li>
</ul>
</div>
<div class="section" id="id30">
<h3>Fixes<a class="headerlink" href="#id30" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Fixed a bug that uninstall task doesn’t uninstall installed Ruby
scripts. [#1299] [Reported by Kazuhiko]</p></li>
<li><p>Added a missing Gemfile. [#1302] [Reported by Kazuhiko]</p></li>
<li><p>Fixed a bug that some indexed records aren’t found. The feature is
only used by mroonga. [#1303]</p></li>
<li><p>[groonga] Appended missing <code class="docutils literal notranslate"><span class="pre">-id</span></code> to <code class="docutils literal notranslate"><span class="pre">--server-id</span></code> option name.</p></li>
<li><p>Fixed a bug that latin1 normalization may access unexpected memory.</p></li>
</ul>
</div>
<div class="section" id="id31">
<h3>Thanks<a class="headerlink" href="#id31" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Kazuhiko</p></li>
<li><p>Markus Elfring</p></li>
</ul>
</div>
</div>
<div class="section" id="release-2-0-0-2012-02-29">
<span id="release-2-0-0"></span><h2>Release 2.0.0 - 2012-02-29<a class="headerlink" href="#release-2-0-0-2012-02-29" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id32">
<h3>Improvements<a class="headerlink" href="#id32" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[dat] Added 0 length key check.</p></li>
<li><p>[windows] Added missing GCC related DLLs. [groonga-dev,00686]
[Reported by Suzuki]</p></li>
<li><p>[php] Supported PHP 5.4. [Patch by Daiki Ueno]</p></li>
<li><p>Updated FSF address. [Suggested by Daiki Ueno]</p></li>
<li><p>[fedora] Supported systemd. [Patch by Daiki Ueno]</p></li>
<li><p>[rpm][debian] Changed the default protocol to HTTP from gqtp.</p></li>
<li><p>[rpm][centos] Supported status command.</p></li>
<li><p>Removed needless <code class="docutils literal notranslate"><span class="pre">:</span></code> from log message.</p></li>
<li><p>Removed deprecated grn_query. [#1247]</p></li>
<li><p>Reduced needless grn_ctx_at() calls on creating table.</p></li>
<li><p>[pat] Supported cache.</p></li>
<li><p>[tokenizer] Improved tokenizer API.</p></li>
<li><p>Accepted <code class="docutils literal notranslate"><span class="pre">&#64;</span></code> as a valid name character.</p></li>
<li><p>[tokenizer] Added a tokenizer based on
<a class="reference external" href="http://www.phontron.com/kytea/">KyTea</a>.</p></li>
<li><p>Supported <a class="reference internal" href="../reference/indexing.html"><span class="doc">offline index construction</span></a>.</p></li>
<li><p>[tokenizer] Supported MeCab 0.993. [groonga-dev,00703]
[Reported by Masaharu YOSHIOKA]</p></li>
<li><p>[windows] Supported MessagePack.</p></li>
</ul>
</div>
<div class="section" id="id33">
<h3>Fixes<a class="headerlink" href="#id33" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>[pat] Fixed a bug that the last node can’t be found. [#1258]</p></li>
<li><p>[doc] Fixed links in Japanese page. [Reported by &#64;naoina]</p></li>
<li><p>[doc] Fixed wrong the default value. [Reported by &#64;naoina]</p></li>
<li><p>Fixed a typo. [Reported by Kazuhiko]</p></li>
<li><p>[http] Fixed a bug that <code class="docutils literal notranslate"><span class="pre">load</span></code> command error isn’t cleared.
[Reported by &#64;wareohji]</p></li>
</ul>
</div>
<div class="section" id="id34">
<h3>Thanks<a class="headerlink" href="#id34" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li><p>Suzuki</p></li>
<li><p>Daiki Ueno</p></li>
<li><p>&#64;naoina</p></li>
<li><p>Kazuhiko</p></li>
<li><p>Masaharu YOSHIOKA</p></li>
<li><p>&#64;wareohji</p></li>
</ul>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">News - 2.x</a><ul>
<li><a class="reference internal" href="#release-2-1-2-2013-01-29">Release 2.1.2 - 2013-01-29</a><ul>
<li><a class="reference internal" href="#improvements">Improvements</a></li>
<li><a class="reference internal" href="#fixes">Fixes</a></li>
<li><a class="reference internal" href="#thanks">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-1-1-2012-12-29">Release 2.1.1 - 2012-12-29</a><ul>
<li><a class="reference internal" href="#id1">Fixes</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-1-0-2012-12-29">Release 2.1.0 - 2012-12-29</a><ul>
<li><a class="reference internal" href="#id2">Improvements</a></li>
<li><a class="reference internal" href="#id3">Fixes</a></li>
<li><a class="reference internal" href="#id4">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-9-2012-11-29">Release 2.0.9 - 2012-11-29</a><ul>
<li><a class="reference internal" href="#id5">Improvements</a></li>
<li><a class="reference internal" href="#id6">Fixes</a></li>
<li><a class="reference internal" href="#id7">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-8-2012-10-29">Release 2.0.8 - 2012-10-29</a><ul>
<li><a class="reference internal" href="#id8">Improvements</a></li>
<li><a class="reference internal" href="#id9">Fixes</a></li>
<li><a class="reference internal" href="#id10">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-7-2012-09-29">Release 2.0.7 - 2012-09-29</a><ul>
<li><a class="reference internal" href="#id11">Improvements</a></li>
<li><a class="reference internal" href="#id12">Fixes</a></li>
<li><a class="reference internal" href="#id13">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-6-2012-08-29">Release 2.0.6 - 2012-08-29</a><ul>
<li><a class="reference internal" href="#id14">Improvements</a></li>
<li><a class="reference internal" href="#id15">Fixes</a></li>
<li><a class="reference internal" href="#id16">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-5-2012-07-29">Release 2.0.5 - 2012-07-29</a><ul>
<li><a class="reference internal" href="#id17">Improvements</a></li>
<li><a class="reference internal" href="#id18">Fixes</a></li>
<li><a class="reference internal" href="#id19">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-4-2012-06-29">Release 2.0.4 - 2012-06-29</a><ul>
<li><a class="reference internal" href="#id20">Improvements</a></li>
<li><a class="reference internal" href="#id21">Fixes</a></li>
<li><a class="reference internal" href="#id22">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-3-2012-05-29">Release 2.0.3 - 2012-05-29</a><ul>
<li><a class="reference internal" href="#id23">Improvements</a></li>
<li><a class="reference internal" href="#id24">Fixes</a></li>
<li><a class="reference internal" href="#id25">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-2-2012-04-29">Release 2.0.2 - 2012-04-29</a><ul>
<li><a class="reference internal" href="#id26">Improvements</a></li>
<li><a class="reference internal" href="#id27">Fixes</a></li>
<li><a class="reference internal" href="#id28">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-1-2012-03-29">Release 2.0.1 - 2012-03-29</a><ul>
<li><a class="reference internal" href="#id29">Improvements</a></li>
<li><a class="reference internal" href="#id30">Fixes</a></li>
<li><a class="reference internal" href="#id31">Thanks</a></li>
</ul>
</li>
<li><a class="reference internal" href="#release-2-0-0-2012-02-29">Release 2.0.0 - 2012-02-29</a><ul>
<li><a class="reference internal" href="#id32">Improvements</a></li>
<li><a class="reference internal" href="#id33">Fixes</a></li>
<li><a class="reference internal" href="#id34">Thanks</a></li>
</ul>
</li>
</ul>
</li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">News - 2.x</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>